%define name below
%define version 0.8.1
%define release 2%{?dist}

Summary:  A time traveling resource monitor for modern Linux systems.
Name:     %{name}
Version:  %{version}
Release:  %{release}
License:  Apache-2.0 license
URL:      https://github.com/facebookincubator/below
Source0:  https://github.com/facebookincubator/below/archive/refs/tags/v%{version}.tar.gz

%define debug_package %{nil}
%global toolchain clang
%global _lto_cflags %{nil}

BuildRequires: curl
BuildRequires: gcc
BuildRequires: make
BuildRequires: gzip
BuildRequires: ncurses-devel
BuildRequires: clang
BuildRequires: zlib-devel
BuildRequires: pkg-config
BuildRequires: m4
BuildRequires: elfutils-libelf-devel


%description
below is an interactive tool to view and record historical system data.

%prep
%setup -q

%build
export CC=clang
export CXX=clang++
# Install Rust using curl
curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | sh -s -- -y
export PATH="$PATH:$HOME/.cargo/bin"
rustup component add rustfmt
cargo build --release
strip --strip-all target/release/%{name}

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/%{name}
install -d %{buildroot}%{_datadir}/%{name}/docs/
install -m 644 etc/* %{buildroot}%{_datadir}/%{name}
install -m 644 docs/* %{buildroot}%{_datadir}/%{name}/docs/
install -Dpm 0755 target/release/%{name} %{buildroot}%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/*

%changelog
* Wed Feb 28 2024 Danie de Jager - 0.7.1-1
- Initial RPM build
